List prepaid credit ledger entries
curl --request GET \
--url https://api.platform.dakota.xyz/self-serve/credits/ledger \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/self-serve/credits/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/self-serve/credits/ledger"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/self-serve/credits/ledger"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"entries": [
{
"id": "2WCn7YQ2QqA4oQ7wYpQyQ1QZKp1",
"entry_type": "purchase",
"category": "purchase",
"amount_cents": 10000,
"balance_after_cents": 10000,
"transaction_id": null,
"description": "Purchased 10000 cents of credits",
"created_at": "2026-03-19T10:15:00Z"
},
{
"id": "2WCn7d4W2KzGdYJZmkQ8q2rKQm8",
"entry_type": "deduction",
"category": "transaction_fee",
"amount_cents": -250,
"balance_after_cents": 9750,
"transaction_id": "2WCn7kNcM6Yd3D2d4nY1Ld4Z1mV",
"description": "Transfer fee for transaction 2WCn7kNcM6Yd3D2d4nY1Ld4Z1mV",
"created_at": "2026-03-19T10:16:00Z"
}
],
"has_more": false
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid Request",
"status": 400,
"detail": "type must be one of purchase, deduction, refund"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Authentication Required",
"status": 401,
"detail": "Missing or invalid authentication credentials."
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Credit management is only available for self-serve customers."
}Self Serve
List prepaid credit ledger entries
Returns paginated credit ledger entries for the authenticated self-serve client.
GET
/
self-serve
/
credits
/
ledger
List prepaid credit ledger entries
curl --request GET \
--url https://api.platform.dakota.xyz/self-serve/credits/ledger \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/self-serve/credits/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/self-serve/credits/ledger"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/self-serve/credits/ledger"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"entries": [
{
"id": "2WCn7YQ2QqA4oQ7wYpQyQ1QZKp1",
"entry_type": "purchase",
"category": "purchase",
"amount_cents": 10000,
"balance_after_cents": 10000,
"transaction_id": null,
"description": "Purchased 10000 cents of credits",
"created_at": "2026-03-19T10:15:00Z"
},
{
"id": "2WCn7d4W2KzGdYJZmkQ8q2rKQm8",
"entry_type": "deduction",
"category": "transaction_fee",
"amount_cents": -250,
"balance_after_cents": 9750,
"transaction_id": "2WCn7kNcM6Yd3D2d4nY1Ld4Z1mV",
"description": "Transfer fee for transaction 2WCn7kNcM6Yd3D2d4nY1Ld4Z1mV",
"created_at": "2026-03-19T10:16:00Z"
}
],
"has_more": false
}{
"type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
"title": "Invalid Request",
"status": 400,
"detail": "type must be one of purchase, deduction, refund"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Authentication Required",
"status": 401,
"detail": "Missing or invalid authentication credentials."
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Credit management is only available for self-serve customers."
}Authorizations
Query Parameters
Return entries created before this timestamp.
Maximum number of entries to return.
Required range:
1 <= x <= 100Optional ledger entry type filter.
Available options:
purchase, deduction, refund Was this page helpful?
⌘I

